unit Main;

//***************************************************************************//
// (C) 2000 PayCash.                                          www.paycash.ru //
//                                  //
//***************************************************************************//

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  PayCashShop,PayCashTypes, StdCtrls;

type
  TSimpleShopForm = class(TForm)
    SimpleShop: TPayCashShop;
    Label1: TLabel;
    procedure SimpleShopGetMoneyRequest(const ErrorCode: Word;
      const ContractModifier: TStringList; out RequestMode: Word;
      Contract: TContract; out Reply: String);
    procedure SimpleShopPaymentAuthorizationResult(const ErrorCode: Word;
      const ID: String; out Reply: String);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  SimpleShopForm: TSimpleShopForm;

implementation

{$R *.DFM}

procedure TSimpleShopForm.SimpleShopGetMoneyRequest(const ErrorCode: Word;
  const ContractModifier: TStringList; out RequestMode: Word;
  Contract: TContract; out Reply: String);
begin
  RequestMode := rmRequest;
  with Contract do
    begin
    Description := '';
    Text := '     ';
    AddPrice(10001,1000000); // 10 
    AddPrice(10002,300000); // 0.3 
    end;
end;

procedure TSimpleShopForm.SimpleShopPaymentAuthorizationResult(
  const ErrorCode: Word; const ID: String; out Reply: String);
begin
  if ErrorCode = SUCCESS then //    PayCashTypes
    begin
    Reply := 'file://payed.htm';
    end
  else  //      
    begin
    Reply := 'file://PaymentNotAccepted.htm';
    end;
end;

procedure TSimpleShopForm.FormCreate(Sender: TObject);
begin
  //  (   Object Inspector )   
  //  - BankId  AccountId -     
  //  ShopName,      .
  SimpleShop.ShopName := 'Simple';
  SimpleShop.BankId := 1;
  SimpleShop.AccountId := 1079;
  SimpleShop.Active := true;
end;

procedure TSimpleShopForm.FormDestroy(Sender: TObject);
begin
  SimpleShop.Active := false;
end;

end.
